required icon themes missing for two included GNOME themes

Bug #440635 reported by Christer Edwards on 2009-10-02
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
gnome-themes-ubuntu (Ubuntu)
Medium
Canonical Desktop Team
Karmic
Medium
Canonical Desktop Team

Bug Description

Binary package hint: gnome-control-center

I installed the Ubuntu 9.10 beta release using the desktop iso. Post installation I went to change my theme and found that icon sets for two of the included themes are missing.

New Wave, Dust and Dust Sand are missing required icon themes. This results in an inconsistent theme when selected, as well as a reported error in the Appearance Preferences application.

If these additional themes are going to be included they should be included in entirety.

ProblemType: Bug
Architecture: i386
Date: Fri Oct 2 08:51:07 2009
DistroRelease: Ubuntu 9.10
ExecutablePath: /usr/bin/gnome-appearance-properties
Package: gnome-control-center 1:2.28.0-0ubuntu2
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, no user)
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-11.36-generic
SourcePackage: gnome-control-center
Uname: Linux 2.6.31-11-generic i686

Related branches

James Westby (james-w) wrote :

These themes specify that they require Human in their index.theme, but
don't depend on it, so the icon theme isn't available.

Thanks,

James

affects: gnome-control-center (Ubuntu) → gnome-themes-ubuntu (Ubuntu)
Changed in gnome-themes-ubuntu (Ubuntu):
status: New → Confirmed
status: Confirmed → Triaged
importance: Undecided → Medium
tags: added: regression-potential
summary: - [ubuntu 9.10 beta] required icon themes missing for two included GNOME
- themes
+ required icon themes missing for two included GNOME themes

I'll take this, but I'd like to put off the upload for a few days. There should be some changes in humanity soon allowing themes with light panels to have darker icons on the panel (ie Human, Dust Sand) while keeping the current light icons for dark panels (ie Human Netbook, Dust, New Wave). I'd like to pick up these changes so Dust Sand can use the new theme once it's uploaded.

Changed in gnome-themes-ubuntu (Ubuntu Karmic):
assignee: nobody → Andrew Starr-Bochicchio (andrewsomething)
Changed in gnome-themes-ubuntu (Ubuntu Karmic):
status: Triaged → In Progress

New Humanity upload is in. Please see merge proposal for sponsorship:

 https://code.edge.launchpad.net/~andrewsomething/gnome-themes/gnome-themes-ubuntu/+merge/12925

gnome-themes-ubuntu (0.5) karmic; urgency=low
  * Use new Humanity icons. (LP: #440635)
  * debian/control:
   - Explicitly depend on humanity-icon-theme.
   - Bump Standards-Version to 3.8.3, no changes needed.

 -- Andrew Starr-Bochicchio <email address hidden> Sun, 04 Oct 2009 17:39:37 -0400

Changed in gnome-themes-ubuntu (Ubuntu Karmic):
status: In Progress → Confirmed
assignee: Andrew Starr-Bochicchio (andrewsomething) → nobody
Steve Beattie (sbeattie) on 2009-10-06
Changed in gnome-themes-ubuntu (Ubuntu Karmic):
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)
Martin Pitt (pitti) wrote :

Ken, do you have some input on this? Should they use an existing icon theme such as humanity, or do they have their own?

Changed in gnome-themes-ubuntu (Ubuntu Karmic):
assignee: Canonical Desktop Team (canonical-desktop-team) → Kenneth Wimer (kwwii)
assignee: Kenneth Wimer (kwwii) → Canonical Desktop Team (canonical-desktop-team)
Martin Pitt (pitti) wrote :

Bah, ignore my last comment. I just replied to the LP bug mail, but did not get all the followups. Sorry for the noise.

Martin Pitt (pitti) wrote :

Works fine, uploading. Thanks Andrew!

Changed in gnome-themes-ubuntu (Ubuntu Karmic):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-themes-ubuntu - 0.5

---------------
gnome-themes-ubuntu (0.5) karmic; urgency=low

  * Use new Humanity icons. (LP: #440635)
  * debian/control:
   - Explicitly depend on humanity-icon-theme.
   - Bump Standards-Version to 3.8.3, no changes needed.

 -- Andrew Starr-Bochicchio <email address hidden> Wed, 07 Oct 2009 10:40:39 +0200

Changed in gnome-themes-ubuntu (Ubuntu Karmic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers